+2 votes
by (360 points)
edited by

I would like to download the deprecated Unity SDK for the Pico G2, but it isn't available. Based on the roadmap it seems the deprecated and legacy SDKs would be supported until the end of 2022. When will they be added back to the website?

No Unity SDKs available for the Pico G2

1 Answer

0 votes
by (35.8k points)
selected by
 
Best answer

Dear developer,
Sorry for the inconvenience, the SDKs for G2 4K series are no longer displayed on this website.

We will send the PicoVR Unity SDK v2.8.12 to your email.
Please check it later in your email.

by (360 points)

Is the plan to add them back to the website at some point? We support the G2 and Neo 2 with our product and therefor need Unity SDKs for them.

Based on the roadmap and previous documentation, you were planning to support the SDKs until the end of 2022. Is this still the case?

Was there any announcement about the website removal? How can we be kept into the loop of such changes? Where are they shared?

by (35.8k points)

Dear developer,
For the question "Is the plan to add them back to the website at some point?":

The deprecated and legacy SDKs for the G2 4K series will no longer be add back to the website and are not planned.

For the question "Based on the roadmap and previous documentation, you were planning to support the SDKs until the end of 2022. Is this still the case?"

Yes. The Deprecated and Legacy SDKs will remain supported until the end of 2022.

For the question "Was there any announcement about the website removal? How can we be kept into the loop of such changes? Where are they shared?":

Sorry, currently there is no announcement or sharing information about the website removing the SDKs.

by (360 points)
edited by

In that case when can we expect some type of Unity SDK supported be added to the website again for the G2 and Neo 2?

Is the Unity XR SDK which currently only support the Neo 3 going to support them?

by (35.8k points)

Dear developer,
Sorry, there will be no more SDK for the G2 or Neo 2 series will be added to the website.
And the Unity XR SDK V2.0.x does not support G2 and Neo2 series, only supports Pico Neo 3 series.

by (360 points)
edited by

Does this mean you are discontinuing the G2 and Neo 2 without announcing it? This would mean we will have to look for another VR device to replace the G2 with; most of our customers use it

How long will we be able to update our Pico G2 app on the Pico Store until this won't be possible anymore?

by (35.8k points)

Dear developer,
For compliance reasons, we have removed the SDKs for the G2 series and Neo 2 series from the website, but we still support the Pico G2 and Neo 2 series devices.
Your Pico G2 app will exist until you take the application offline yourself. It depends on the developers. If offline is not selected, the app will always exists normally.

...